mako (1.1.3+ds1-2ubuntu0.2) jammy-security; urgency=medium

  * SECURITY UPDATE: path traversal via double-slash URI in TemplateLookup
    - debian/patches/CVE-2026-41205.patch: use lstrip("/") instead of
      conditional single-slash strip in Template.__init__
    - CVE-2026-41205

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Thu, 30 Apr 2026 16:05:58 -0230

mako (1.1.3+ds1-2ubuntu0.1) jammy-security; urgency=medium

  * SECURITY UPDATE: Regular Expression DoS
    - debian/patches/CVE-2022-40023.patch: fix tag regexp to match quoted groups correctly
      in mako/lexer.py.
    - CVE-2022-40023

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Mon, 19 Sep 2022 07:21:25 -0300

mako (1.1.3+ds1-2) unstable; urgency=medium

  * Make sure shebang uses unversioned python3 interpreter (closes: 976767)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 22 Dec 2020 13:07:48 +0100

mako (1.1.3+ds1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove trailing whitespaces.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Piotr Ożarowski ]
  * New upstream release
    - builds with Sphinx 3.2 (closes: 963650)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 24 Sep 2020 15:00:33 +0200

mako (1.1.2+ds1-1) unstable; urgency=medium

  * New upstream release
  * Standards-version bumped to 4.5.0 (no other changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 16 Mar 2020 12:44:41 +0100

mako (1.1.0+ds1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/watch: Use https protocol
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove ancient X-Python-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ Antonio Valentino ]
  * New upstream release (Closes: #944705).
  * Set upstream metadata fields: Bug-Database.
  * Set upstream metadata fields: Bug-Submit.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 10 to 12.
  * Standards-Version bumped to v4.4.1 (no chenges).
  * Drop Python 2 support (Closes: #936985).
  * d/control: add build dependency from python3-zzzeeksphinx.
  * d/control: fix cme warnongs.
  * d/copyright: updated.
  * New 0001-Use-zzzeeksphinx-sphinx-theme.patch to use the
    "zzzeekshpinx" sphonx theme instead of "zsmako"
    (still not available in debian).
  * d/rules: fix test rule.
  * d/source/lintian-overrides: dropped (it was unused).
  * d/control: add Testsuite: autopkgtest-pkg-python and
    Rules-Requires-Root: no (fix lintian warnings).
  * d/rules: fix clean target (Closes: #917043).
  * d/rules: install the correcy changelog (Closes: #877280).
  * d/rules: add support for nodoc (Closes: #917044).

  [ Piotr Ożarowski ]
  * /usr/bin/mako-render moved to python3-mako package.
    python3-mako now Breaks/Replaces python-mako (<< 1.1.0+ds1-1)

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 03 Jan 2020 20:17:22 +0100

mako (1.0.7+ds1-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version bumped to 4.0.0 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 14 Jul 2017 16:44:18 +0200

mako (1.0.6+ds1-2) unstable; urgency=medium

  * Update tests for Pygments 2.2 (closes: 852908, thanks to Gilles Filippini
    for the patch)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 07 Feb 2017 22:23:36 +0100

mako (1.0.6+ds1-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 21 Dec 2016 12:37:13 +0100

mako (1.0.4+ds1-2) unstable; urgency=medium

  * Fix FTBFS due to Sphinx API change (closes: 830178, thanks to Nishanth
    Aravamudan for the patch)

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 02 Nov 2016 23:27:06 +0100

mako (1.0.4+ds1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Piotr Ożarowski ]
  * New upstream release
  * Replace python-nose with python-pytest (following upstream, this also
    closes: #813668)
  * Standards-Version bumped to 3.9.8 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 14 Apr 2016 21:16:59 +0200

mako (1.0.3+ds1-1) unstable; urgency=medium

  * New upstream release.

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 31 Oct 2015 23:27:16 +0100

mako (1.0.2+ds1-1) unstable; urgency=medium

  * New upstream release.
    - remove python35-compat.patch - no longer needed
  * Add debian/upstream/signing-key.asc

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 26 Aug 2015 22:49:37 +0200

mako (1.0.1+ds1-1) unstable; urgency=medium

  [ Barry Warsaw ]
  * New upstream release.
  * debian/patches/python35-compat.patch: Upstream provided patch to
    fix compatibility issues with Python 3.5.

  [ Piotr Ożarowski ]
  * Convert debian/copyright to DEP-5 and use it to remove minified JS files
  * Add dh-python to Build-Depends
  * Standards-Version bumped to 3.9.6 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 26 Aug 2015 17:24:08 +0200

mako (1.0.0+dfsg-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove minified javascript files from upstream source. They are not used
    in the build process. Closes: #722265

 -- Ivo De Decker <ivodd@debian.org>  Tue, 11 Nov 2014 12:39:18 +0100

mako (1.0.0-1) unstable; urgency=medium

  * New upstream release
  * Add python-changelog and python-sphinx-paramlinks to Build-Depends
    (needed while rebuilding documentation)
  * Enable Python 3.X tests during build (add necessary packages to
    Build-Depends)
  * Update links to upstream changelog (now points to changelog.rst)
  * Add lintian override for source-is-missing doc/searchindex.js
    (this file is generated by sphinx-build, all sources are in the tarball)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 10 Jun 2014 20:38:26 +0200

mako (0.9.1-1) unstable; urgency=low

  * New upstream release
  * Standards-Version bumped to 3.9.5 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 29 Dec 2013 11:57:23 +0100

mako (0.9.0-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 31 Aug 2013 11:58:59 +0200

mako (0.8.1-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 25 May 2013 22:58:26 +0200

mako (0.8.0-2) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Piotr Ożarowski ]
  * Standards-Version bumped to 3.9.4 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 05 May 2013 21:28:00 +0200

mako (0.8.0-1) experimental; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 12 Apr 2013 20:06:05 +0200

mako (0.7.3-1) experimental; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 12 Nov 2012 00:03:25 +0100

mako (0.7.1-1) experimental; urgency=low

  * New upstream release
    (upload to experimental due to Wheezy freeze)

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 13 Jul 2012 14:31:05 -0600

mako (0.7.0-1) unstable; urgency=low

  * New upstream release
  * Standards-Version bumped to 3.9.3 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 31 Mar 2012 20:03:29 +0200

mako (0.6.2-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 02 Feb 2012 21:06:03 +0100

mako (0.6.1-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 29 Jan 2012 16:02:55 +0100

mako (0.6.0-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 22 Jan 2012 19:42:56 +0100

mako (0.5.0-1) unstable; urgency=low

  * New upstream release
  * Add build-arch and build-indep targets to debian/rules
  * Add libjs-underscore to python-mako-doc's Depends

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 28 Sep 2011 22:38:26 +0200

mako (0.4.2-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 06 Aug 2011 23:16:07 +0200

mako (0.4.1-1) unstable; urgency=low

  * New upstream release
  * Add workaround for "build/lib" bug in Python/distribute
  * Standards-Version bumped to 3.9.2 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 07 Apr 2011 22:31:45 +0200

mako (0.4.0-1) unstable; urgency=low

  * New upstream release
  * debian/rules: fix DEB_BUILD_OPTIONS=nocheck builds (closes: 613855)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 22 Feb 2011 21:25:15 +0100

mako (0.3.6-1) unstable; urgency=low

  * New upstream release
    - make_sure_2to3_is_used patch removed (applied upstream)
  * Switch from dh_pysupport to dh_python2
  * Add python-mako-doc package (and move documentation, examples and VIM
    files there), rebuild docs using Sphinx
  * Run tests for all 2.X Python versions

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 20 Nov 2010 16:26:01 +0100

mako (0.3.5-1) unstable; urgency=low

  * New upstream release
  * Standards-Version bumped to 3.9.1 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 20 Oct 2010 23:48:56 +0200

mako (0.3.4-5) unstable; urgency=low

  * Upload to unstable

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 02 Oct 2010 20:14:46 +0200

mako (0.3.4-4) experimental; urgency=low

  * Rebuild against newer python3-all package (python3.1 now uses
    /usr/lib/python3/), minimum python3-all version bumped to 3.1.2-8

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 12 Sep 2010 17:45:01 +0200

mako (0.3.4-3) experimental; urgency=low

  * Add python3-mako binary package
  * make_sure_2to3_is_used.patch added
  * Source format changed to 3.0 (quilt)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 06 Sep 2010 23:04:39 +0200

mako (0.3.4-2) unstable; urgency=low

  * Move python-markupsafe to Depends (closes: #587760)
  * Standards-Version bumped to 3.9.0 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 01 Jul 2010 18:49:09 +0200

mako (0.3.4-1) unstable; urgency=low

  * New upstream release
  * Add python-markupsafe to Recommends

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 24 Jun 2010 09:56:48 +0200

mako (0.3.3-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 01 Jun 2010 18:14:20 +0200

mako (0.3.2-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 18 Mar 2010 21:59:27 +0100

mako (0.3.1-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 07 Mar 2010 19:56:38 +0100

mako (0.3.0-1) unstable; urgency=low

  * New upstream release
  * Move python-beaker from Recommends to Suggests (closes: #569986)
  * Install Vim syntax and indent files in /usr/share/vim/addons/
    Use `vim-addons install mako` to enable it
  * Standards-Version bumped to 3.8.4 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 06 Mar 2010 14:01:41 +0100

mako (0.2.5-2) unstable; urgency=low

  * Add --prefix=/usr to setup.py's install command (fixes FTBFS bug with
    python2.6)
  * Remove requires.txt from Python's Egg metadata (dpkg handles dependencies
    way better, closes LP: #461281)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 26 Oct 2009 22:20:13 +0100

mako (0.2.5-1) unstable; urgency=low

  * New upstream release
  * debian/copyright file updated
  * Switch to python-support
    - debian/preinst file added (to remove python-central files)
  * Standards-Version bumped to 3.8.3 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 07 Sep 2009 23:29:57 +0200

mako (0.2.4-2) unstable; urgency=low

  * Set the minimum required Python version to 2.4 (closes: #515096)
  * Upload to unstable
  * Change Debian packaging license to MIT (to match upstream)

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 13 Feb 2009 16:50:39 +0100

mako (0.2.4-1) experimental; urgency=low

  * New upstream release (upload to experimental due to Lenny freeze, to ease
    testing rev. dependencies)

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 24 Dec 2008 01:26:02 +0100

mako (0.2.3-1) experimental; urgency=low

  [ Sandro Tosi ]
  * Switch Vcs-Browser field to viewsvn

  [ Piotr Ożarowski ]
  * New upstream release (upload to experimental due to Lenny freeze, to ease
    testing rev. dependencies)
    + python-beaker's recommended version bumped to >= 1.1
  * Let python-central do the Egg renaming part
    + python-central required build version bumped to 0.6.1
    + debian/rules updated
  * Compress binary package with bzip2

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 23 Nov 2008 18:28:03 +0100

mako (0.2.2-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 23 Jun 2008 20:06:23 +0200

mako (0.2.1-1) unstable; urgency=low

  * New upstream release
  * debian/copyright file updated
  * Standards-Version bumped to 3.8.0 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 17 Jun 2008 19:43:47 +0200

mako (0.2.0-1) unstable; urgency=low

  * New upstream release
  * Add "~" to setuptools' required build version (to ease backports)
  * Add manpage for new mako-render script
  * s/hyperfast/fast in short description to avoid inflated adjectives
    (closes: #466008)
  * doc-base: section changed to Programming/Python

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 03 Jun 2008 22:27:15 +0200

mako (0.1.10-1) unstable; urgency=low

  * New upstream release
  * Rename XS-Vcs-* fields to Vcs-* (dpkg supports them now)
  * Bump Standards-Version to 3.7.3 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 27 Dec 2007 11:36:10 +0100

mako (0.1.9-1) unstable; urgency=low

  * New upstream release
  * Homepage field added
  * debian/rules cleanups

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 25 Sep 2007 23:40:21 +0200

mako (0.1.8-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 26 Jun 2007 15:39:18 +0200

mako (0.1.7-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 13 Jun 2007 15:07:59 +0200

mako (0.1.6-1) unstable; urgency=low

  * New upstream release
  * python-myghtyutils removed from Depends since it's no longer used,
  * python-beaker added to Recommends (it can be used for caching now)
  * Provides field removed (it's not used)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 19 May 2007 15:32:25 +0200

mako (0.1.5-1) unstable; urgency=low

  * New upstream release
  * Changed my address to piotr@debian.org

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 01 Apr 2007 00:04:28 +0200

mako (0.1.4-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ozarowski <ozarow@gmail.com>  Sat, 10 Mar 2007 19:02:06 +0100

mako (0.1.3-1) unstable; urgency=low

  * New upstream release
  * Added python-pylons to Enhances:

 -- Piotr Ozarowski <ozarow@gmail.com>  Wed, 21 Feb 2007 01:41:09 +0100

mako (0.1.2-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ozarowski <ozarow@gmail.com>  Thu,  1 Feb 2007 12:15:20 +0100

mako (0.1.1-1) unstable; urgency=low

  * Initial release (closes: #405576)

 -- Piotr Ozarowski <ozarow@gmail.com>  Sun, 14 Jan 2007 20:11:22 +0100
